using System;
using System.Collections.Generic;

namespace ConsoleApp1
{
    class Program
    {
        static bool provera(List<int> a,int x,int y)
        {
            for(int i = 0; i < a.Count-1; i++)
            {
                if (a[i] > a[i + 1])
                {
                    a.Remove(a[i]);
                    for (int j = i; j < a.Count-1; j++)
                    {
                        if (a[j] > a[j + 1])
                        {
                            return false;
                        }
                    }
                }
            }
            return true;
        }
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            var niz = Array.ConvertAll(Console.ReadLine().Split(' '), int.Parse);
            int br = int.Parse(Console.ReadLine());
            while (br > 0)
            {
                var input = Console.ReadLine().Split(' ');
                int x = int.Parse(input[0]);
                int y = int.Parse(input[1]);
                var list = new List<int>();
                for (int i = x-1; i <= y-1; i++)
                {
                    list.Add(niz[i]);
                }
                if (provera(list, x, y))
                {
                    Console.WriteLine("DA");
                }
                else
                {
                    Console.WriteLine("NE");
                }
                br--;
            }
        }
    }
}